org.apache.ignite.internal.processors.query

## Class QueryKeyValueIterator<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryKeyValueIterator<K,V>

All Implemented Interfaces:
  Iterator<javax.cache.Cache.Entry<K,V>>

    public class QueryKeyValueIterator<K,V>
    extends Object
    implements Iterator<javax.cache.Cache.Entry<K,V>>

SqlQuery key-value iterator.

### Constructor Summary

Constructors
Constructor and Description
`QueryKeyValueIterator(Iterator<List<?>> iter)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`javax.cache.Cache.Entry<K,V>` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### QueryKeyValueIterator

    public QueryKeyValueIterator(Iterator<List<?>> iter)

Constructor.

Parameters:
  `iter` - Target iterator.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<javax.cache.Cache.Entry<K,V>>`

#### next

    public javax.cache.Cache.Entry<K,V> next()

Specified by:
  `next` in interface `Iterator<javax.cache.Cache.Entry<K,V>>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<javax.cache.Cache.Entry<K,V>>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020